/***************************************************************************
                          voicedial.h  -  description                              
                             -------------------                                         
    begin                : Wed Jan 5 2000                                           
    copyright            : (C) 2000 by Torsten Uhlmann                         
    email                : TUhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef VOICEDIAL_H
#define VOICEDIAL_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qslider.h>
#include <qlcdnumber.h>
#include <kseparator.h>
#include <qcheckbox.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include <qstring.h>
#include <qbuttongroup.h>

#include "kmsgmodem.h"
#include "usrmodem.h"

/**
  *@author Torsten Uhlmann
  */

class VoiceDial : public QDialog  {
   Q_OBJECT
public: 
	VoiceDial(KMsgModemApp*, USRModem*, QWidget *parent=0, const char *name=0);
	~VoiceDial();

public slots:
	void slotDialogInit();
	
protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QGroupBox *QGroupBox_3;
	QLabel *QLabel_2;
	QGroupBox *QGroupBox_2;
	QGroupBox *QGroupBox_1;
	QPushButton *no_1_Button;
	QPushButton *no_2_Button;
	QPushButton *no_3_Button;
	QPushButton *no_4_Button;
	QPushButton *no_5_Button;
	QPushButton *no_6_Button;
	QPushButton *no_7_Button;
	QPushButton *no_8_Button;
	QPushButton *no_9_Button;
	QPushButton *no_As_Button;
	QPushButton *no_0_Button;
	QPushButton *no_cross_Button;
	QPushButton *dialHangupButton;
	QPushButton *setPreferencesButton;
	QLineEdit *dialNumber;
	QPushButton *closeButton;
	QPushButton *deleteButton;
	QSlider *speakerVolume;
	QSlider *mikeVolume;
	QLCDNumber *speakerVolumeLCD;
	QLCDNumber *mikeVolumeLCD;
	QLabel *QLabel_3;
	QPushButton *searchAddressbookButton;
	KSeparator *KSeparator_1;
	QCheckBox *dialPrefixCheck;
	QLineEdit *dialPrefix;
	QPushButton *deleteDigitButton;
	//Generated area. DO NOT EDIT!!!(end)

	// strip chars from number and append a given code if set
	QString generateValidNumber(const QString&);
	
protected slots:
	void slotNo_0_Dialed();
	void slotNo_1_Dialed();
	void slotNo_2_Dialed();
	void slotNo_3_Dialed();
	void slotNo_4_Dialed();
	void slotNo_5_Dialed();
	void slotNo_6_Dialed();
	void slotNo_7_Dialed();
	void slotNo_8_Dialed();
	void slotNo_9_Dialed();
	void slotDeleteNumber();
	void slotDeleteDigit();
	void slotDialNumber();
	void slotHangupPhone();
	void slotSetPreferences();
	void slotGetPreferences();
	void slotSearchAddressbook();
	void slotCloseDialog();
	void slotDialPrefixStateChanged(int);
	
private:
	void saveOptions();
	KMsgModemApp	*_app;
	USRModem			*_modem;
	QButtonGroup	*bGroup;
};

#endif
